diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/int64x64-128.cc ns-3.43/src/core/model/int64x64-128.cc
--- ns-3.42/src/core/model/int64x64-128.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/int64x64-128.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,19 +1,7 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "int64x64-128.h"
@@ -22,6 +10,8 @@
 #include "assert.h"
 #include "log.h"
 
+#if defined(INT64X64_USE_128) && !defined(PYTHON_SCAN)
+
 /**
  * \file
  * \ingroup highprec
@@ -253,3 +243,5 @@
 }
 
 } // namespace ns3
+
+#endif /* INT64X64_128_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/int64x64-128.h ns-3.43/src/core/model/int64x64-128.h
--- ns-3.42/src/core/model/int64x64-128.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/int64x64-128.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,29 +1,19 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
+#ifndef INT64X64_128_H
+#define INT64X64_128_H
+
 #include "ns3/core-config.h"
 
-#if !defined(INT64X64_128_H) && defined(INT64X64_USE_128) && !defined(PYTHON_SCAN)
 /**
  * \ingroup highprec
  * Use uint128_t for int64x64_t implementation
  */
-#define INT64X64_128_H
+#if defined(INT64X64_USE_128) && !defined(PYTHON_SCAN)
 
 #include <cmath> // pow
 #include <stdint.h>
@@ -58,22 +48,11 @@
     static const uint128_t HP128_MASK_HI_BIT = (((int128_t)1) << 127);
     /// Mask for fraction part.
     static const uint64_t HP_MASK_LO = 0xffffffffffffffffULL;
-    /**
-     * Floating point value of HP_MASK_LO + 1.
-     * We really want:
-     * \code
-     *   static const long double HP_MAX_64 = std:pow (2.0L, 64);
-     * \endcode
-     * but we can't call functions in const definitions.
-     *
-     * We could make this a static and initialize in int64x64-128.cc or
-     * int64x64.cc, but this requires handling static initialization order
-     * when most of the implementation is inline.  Instead, we resort to
-     * this define.
-     */
-#define HP_MAX_64 (std::pow(2.0L, 64))
 
   public:
+    /// Floating point value of HP_MASK_LO + 1.
+    static constexpr long double HP_MAX_64 = (static_cast<uint64_t>(1) << 63) * 2.0L;
+
     /**
      * Type tag for the underlying implementation.
      *
@@ -238,7 +217,8 @@
     inline double GetDouble() const
     {
         const bool negative = _v < 0;
-        const uint128_t value = negative ? -_v : _v;
+        const int128_t vTemp = _v + (_v == std::numeric_limits<int128_t>::min());
+        const uint128_t value = negative ? -vTemp : vTemp;
         const long double fhi = value >> 64;
         const long double flo = (value & HP_MASK_LO) / HP_MAX_64;
         long double retval = fhi;
@@ -471,4 +451,5 @@
 
 } // namespace ns3
 
+#endif /* defined(INT64X64_USE_128) && !defined(PYTHON_SCAN) */
 #endif /* INT64X64_128_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/int64x64-cairo.cc ns-3.43/src/core/model/int64x64-cairo.cc
--- ns-3.42/src/core/model/int64x64-cairo.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/int64x64-cairo.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -26,6 +15,8 @@
 #include <cmath>
 #include <iostream>
 
+#if defined(INT64X64_USE_CAIRO) && !defined(PYTHON_SCAN)
+
 // Include directly to allow optimizations within this compilation unit.
 extern "C"
 {
@@ -235,3 +226,5 @@
 }
 
 } // namespace ns3
+
+#endif /* INT64X64_CAIRO_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/int64x64-cairo.h ns-3.43/src/core/model/int64x64-cairo.h
--- ns-3.42/src/core/model/int64x64-cairo.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/int64x64-cairo.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,25 +1,16 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
+#ifndef INT64X64_CAIRO_H
+#define INT64X64_CAIRO_H
+
 #include "ns3/core-config.h"
-#if !defined(INT64X64_CAIRO_H) && defined(INT64X64_USE_CAIRO) && !defined(PYTHON_SCAN)
+
+#if defined(INT64X64_USE_CAIRO) && !defined(PYTHON_SCAN)
 /** Using the ns3::int64x64_t based on Cairo 128-bit integers. */
-#define INT64X64_CAIRO_H
 
 #include "cairo-wideint-private.h"
 
@@ -44,21 +35,11 @@
     static const uint64_t HPCAIRO_MASK_HI_BIT = (((uint64_t)1) << 63);
     /// Mask for fraction part
     static const uint64_t HP_MASK_LO = 0xffffffffffffffffULL;
-    /**
-     * Floating point value of HP_MASK_LO + 1
-     * We really want:
-     * \code
-     *   static const long double HP_MAX_64 = std:pow (2.0L, 64);
-     * \endcode
-     * but we can't call functions in const definitions,
-     * We could make this a static and initialize in int64x64-cairo.cc or
-     * int64x64.cc, but this requires handling static initialization order
-     * when most of the implementation is inline.  Instead, we resort to
-     * this define.
-     */
-#define HP_MAX_64 (std::pow(2.0L, 64))
 
   public:
+    /// Floating point value of HP_MASK_LO + 1
+    static constexpr long double HP_MAX_64 = (static_cast<uint64_t>(1) << 63) * 2.0L;
+
     /**
      * Type tag for the underlying implementation.
      *
@@ -453,4 +434,5 @@
 
 } // namespace ns3
 
+#endif /* defined(INT64X64_USE_CAIRO) && !defined(PYTHON_SCAN) */
 #endif /* INT64X64_CAIRO_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/int64x64.cc ns-3.43/src/core/model/int64x64.cc
--- ns-3.42/src/core/model/int64x64.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/int64x64.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,19 +1,7 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "int64x64.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/int64x64-double.h ns-3.43/src/core/model/int64x64-double.h
--- ns-3.42/src/core/model/int64x64-double.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/int64x64-double.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,25 +1,16 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
+#ifndef INT64X64_DOUBLE_H
+#define INT64X64_DOUBLE_H
+
 #include "ns3/core-config.h"
-#if !defined(INT64X64_DOUBLE_H) && (defined(INT64X64_USE_DOUBLE) || defined(PYTHON_SCAN))
+
+#if defined(INT64X64_USE_DOUBLE) || defined(PYTHON_SCAN)
 /** Using the ns3::int64x64_t based on double values. */
-#define INT64X64_DOUBLE_H
 
 #include <cmath> // pow
 #include <stdint.h>
@@ -43,21 +34,11 @@
 {
     /// Mask for fraction part
     static const uint64_t HP_MASK_LO = 0xffffffffffffffffULL;
-    /**
-     * Floating point value of HP_MASK_LO + 1
-     * We really want:
-     * \code
-     *   static const long double HP_MAX_64 = std:pow (2.0L, 64);
-     * \endcode
-     * but we can't call functions in const definitions,
-     * We could make this a static and initialize in int64x64-double.cc or
-     * int64x64.cc, but this requires handling static initialization order
-     * when most of the implementation is inline.  Instead, we resort to
-     * this define.
-     */
-#define HP_MAX_64 (std::pow(2.0L, 64))
 
   public:
+    /// Floating point value of HP_MASK_LO + 1
+    static constexpr long double HP_MAX_64 = (static_cast<uint64_t>(1) << 63) * 2.0L;
+
     /**
      * Type tag for the underlying implementation.
      *
@@ -396,4 +377,5 @@
 
 } // namespace ns3
 
+#endif /* defined(INT64X64_USE_DOUBLE) || defined(PYTHON_SCAN) */
 #endif /* INT64X64_DOUBLE_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/int64x64.h ns-3.43/src/core/model/int64x64.h
--- ns-3.42/src/core/model/int64x64.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/int64x64.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,19 +1,7 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef INT64X64_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/integer.cc ns-3.43/src/core/model/integer.cc
--- ns-3.42/src/core/model/integer.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/integer.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/integer.h ns-3.43/src/core/model/integer.h
--- ns-3.42/src/core/model/integer.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/integer.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/length.cc ns-3.43/src/core/model/length.cc
--- ns-3.42/src/core/model/length.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/length.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/length.h ns-3.43/src/core/model/length.h
--- ns-3.42/src/core/model/length.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/length.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/list-scheduler.cc ns-3.43/src/core/model/list-scheduler.cc
--- ns-3.42/src/core/model/list-scheduler.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/list-scheduler.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/list-scheduler.h ns-3.43/src/core/model/list-scheduler.h
--- ns-3.42/src/core/model/list-scheduler.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/list-scheduler.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/log.cc ns-3.43/src/core/model/log.cc
--- ns-3.42/src/core/model/log.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/log.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -492,8 +481,9 @@
 LogSetTimePrinter(TimePrinter printer)
 {
     g_logTimePrinter = printer;
-    /** \internal
-     *  This is the only place where we are more or less sure that all log variables
+    /**
+     * \internal
+     * This is the only place where we are more or less sure that all log variables
      * are registered. See \bugid{1082} for details.
      */
     CheckEnvironmentVariables();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/log.h ns-3.43/src/core/model/log.h
--- ns-3.42/src/core/model/log.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/log.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -195,7 +184,7 @@
  *   using ns3::g_log;
  *
  *   // Further definitions outside of the ns3 namespace
- *\endcode
+ * \endcode
  *
  * \param [in] name The log component name.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/log-macros-disabled.h ns-3.43/src/core/model/log-macros-disabled.h
--- ns-3.42/src/core/model/log-macros-disabled.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/log-macros-disabled.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Andrey Mazo
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrey Mazo <ahippo@yandex.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/log-macros-enabled.h ns-3.43/src/core/model/log-macros-enabled.h
--- ns-3.42/src/core/model/log-macros-enabled.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/log-macros-enabled.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006,2007 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/make-event.h ns-3.43/src/core/model/make-event.h
--- ns-3.42/src/core/model/make-event.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/make-event.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/map-scheduler.cc ns-3.43/src/core/model/map-scheduler.cc
--- ns-3.42/src/core/model/map-scheduler.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/map-scheduler.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * The idea to use a std c++ map came from GTNetS
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/map-scheduler.h ns-3.43/src/core/model/map-scheduler.h
--- ns-3.42/src/core/model/map-scheduler.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/map-scheduler.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/math.h ns-3.43/src/core/model/math.h
--- ns-3.42/src/core/model/math.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/math.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *
  * FreeBSD log2 patch from graphviz port to FreeBSD 9, courtesy of
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/matrix-array.cc ns-3.43/src/core/model/matrix-array.cc
--- ns-3.42/src/core/model/matrix-array.cc	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/matrix-array.cc	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Biljana Bojovic <bbojovic@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/matrix-array.h ns-3.43/src/core/model/matrix-array.h
--- ns-3.42/src/core/model/matrix-array.h	2024-05-29 15:29:46.932073000 -0700
+++ ns-3.43/src/core/model/matrix-array.h	2024-10-09 16:41:09.860655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Biljana Bojovic <bbojovic@cttc.es>
  */
@@ -200,7 +189,7 @@
      */
     MatrixArray FrobeniusNorm() const;
     /**
-     *\brief Multiply each matrix in the array by the left and the right matrix.
+     * \brief Multiply each matrix in the array by the left and the right matrix.
      * For each page of this MatrixArray the operation performed is
      * lMatrix * matrix(pageIndex) * rMatrix, and the resulting MatrixArray<T>
      * contains the array of the results per page. If "this" has dimensions
